@font-face{
    font-family: 'credit-card';
    src: url("/fonts/card.otf") format("opentype");
}
.form-wrapper{
    display: flex;
    flex-flow: column;
    align-items:center;
    border-radius: 4px;    
    padding:25px;
    position:relative;
    background-color: #fff;
    margin-top: -180px;

}
.form-wrapper .form {
    margin-top:170px;
}
.card-wrapper {
    height:210px;
    width:350px;
    position:relative;
    z-index: 10;
    transform-style: preserve-3d;
    height:210px;  
}
.card-wrapper .card {
    position:absolute;
    display:flex;
    justify-content: space-between;
    flex-flow:column;
    align-items: stretch;
    width:100%;
    height:100%;
    top:0;    
    overflow: hidden;
    border-radius:8px;
    background-color: #373D46;      
    backface-visibility: hidden;
    z-index:2;
    transform-style: preserve-3d;
}
.card-wrapper .card.back{
    transform: rotateY(179.9deg);
}
.card-wrapper .card.back .cvc{
    background-color: white;
    height:15px;
    width:100%;
    
}
.card-wrapper .card .card-signs {
    display: flex;
    justify-content: space-between;
    align-items: flex-end;
    flex:5;
    padding-left: 25px;
    padding-right: 25px;
}
.card-wrapper .card .card-chip{
    height: 48px;
    width:48px;
    margin-bottom:15px;
}
.card-wrapper .card .card-chip img,
.card-wrapper .card .card-logo img {
    width:100%;
}
.card-wrapper .card .card-logo {
   
    display: flex;
    align-items: center;
    width:64px;
    height:44px;
    align-self: flex-start;
    margin-top:8px;
 
}
.card-wrapper .card .card-data {      
    flex:5;
    display:flex;
    flex-flow:column;
    font-family: "Droid Sans Mono";
    color:#ECECEE;
}
.card-wrapper .card .card-data .card-number {
    text-align: center;
    font-size: 22px;  
    letter-spacing: .1rem;
}
.card-wrapper .card .card-data .card-number p {
    font-family: "credit-card";
}
.card-wrapper .card .card-data .bottom {
    display:flex;
    align-items: center;
    margin: 25px 25px 0;
    position:relative;
}
.card-wrapper .card .card-data .bottom .card-holder::before,
.card-wrapper .card .card-data .bottom .card-expire::before {
    content: "Card holder";
    bottom: 2rem;
    color: #9EA1A7;
    font-size: 10px;
    position: absolute;
    font-family: 'Droid Sans Mono', monospace;
    text-transform: uppercase;
}
.card-wrapper .card .card-data .bottom .card-holder {
    margin-right:auto;
}
.card-wrapper .card .card-data .bottom .card-expire::before {
    content: "Expires";
    width:125px;
}

input[type=text]:focus {
    border-color: rgba(34,36,38,.35);
}

.rotate{
    transform-style: preserve-3d;
    transform: rotateY(180deg);
}

.card-wrapper .card.back .strip{
    width:100%;
    margin-top: 24px;
    height:40px;
    background-color: #222;
}
 .card-wrapper .card.back {
    justify-content: flex-start;
}
 .card-wrapper .card.back .ccv {
    background-color: #fff;
    border-radius: .25rem;
    color: #373D46;
    font-size: .75rem;
    font-style: italic;
    font-weight: 600;
    height:28px;
    line-height: 28px;
    margin: 28px 0 0;
    width: 90%;
    align-self: center;
    padding-right: .5rem;
    position: relative;
    text-align: right;
}

.card-wrapper .card.back .ccv::before {
    content: "CCV";
    color: #ECECEE;
    font-size: 12px;
    font-style: normal;
    font-weight: 400;
    position: absolute;
    right: .5rem;
    top: -1.7rem;
}

 .card-wrapper .card.back .back-logo {
    margin-top: 40px;
    text-align: right;
    width:90%;
    align-self: center;
}
.card-wrapper .card.back .back-logo img{
    width:64px;
    height:19px;
}
.card-outer-wrapper {
    display:flex;
    flex-flow: column;
    align-items: center;    
    perspective: 1000px;
}
.form-wrapper .card-number-wrapper.focused-input {
    border: 1px solid #a0a0a0;
}
.form-wrapper .card-number-wrapper {
    font-family: Lato,'Helvetica Neue',Arial,Helvetica,sans-serif;
    margin: 0;
    outline: 0;
    -webkit-appearance: none;    
    line-height: 1.21428571em;
    padding: .67857143em 1em;
    font-size: 1em;
    background: #fff;
    border: 1px solid rgba(34,36,38,.15);
    color: rgba(0,0,0,.87);
    border-radius: .28571429rem;
    box-shadow: 0 0 0 0 transparent inset;
    -webkit-transition: color .1s ease,border-color .1s ease;
    transition: color .1s ease,border-color .1s ease;
}
.form-wrapper .fake {
    border:none;
    padding:0;
}
.card-number-wrapper {
    position:relative;
}
/* .card-number-wrapper.placeholder::before {
    content: "1234 1234 1234 1234";
    position: absolute
} */

